### Method

# GObject Binding dup_source

since: 2.68

#### Declaration

    GObject*
    g_binding_dup_source (
      GBinding* binding
    )

#### Description

Retrieves the `GObject` instance used as the source of the binding.

A `GBinding` can outlive the source `GObject` as the binding does not hold a strong reference to the source. If the source is destroyed before the binding then this function will return `NULL`.

Available since: 2.68

#### Return value

Type: `GObject`

The source `GObject`, or `NULL` if the source does not exist any more.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.